import type { MakeRequest } from '@tinkoff/request-core';
import type { HttpClientInterceptor } from '@tramvai/http-client';
import type { APP_INFO_TOKEN } from '@tramvai/core';
import type { API_CLIENT_PASS_HEADERS, HttpClientFactoryOptions, HTTP_CLIENT_AGENT, HTTP_CLIENT_FACTORY, DISABLE_CIRCUIT_BREAKER } from '@tramvai/tokens-http-client';
import type { LOGGER_TOKEN, CREATE_CACHE_TOKEN, ENV_MANAGER_TOKEN, REQUEST_MANAGER_TOKEN, COMMAND_LINE_EXECUTION_CONTEXT_TOKEN } from '@tramvai/tokens-common';
import type { QuerySerializer } from '@tinkoff/request-plugin-protocol-http';
import type { ExtractDependencyType, ExtractTokenType } from '@tinkoff/dippy';
export declare const httpClientFactory: ({ logger, envManager, appInfo, requestManager, headersList, createCache, makeRequestRegistry, agent, querySerializer, disableCircuitBreaker, defaultOptions, defaultInterceptors, commandLineExecutionContext, }: {
    logger: ExtractDependencyType<typeof LOGGER_TOKEN>;
    envManager: ExtractDependencyType<typeof ENV_MANAGER_TOKEN>;
    appInfo: ExtractDependencyType<typeof APP_INFO_TOKEN>;
    requestManager: ExtractDependencyType<typeof REQUEST_MANAGER_TOKEN> | null;
    headersList: ExtractDependencyType<typeof API_CLIENT_PASS_HEADERS> | null;
    createCache: ExtractDependencyType<typeof CREATE_CACHE_TOKEN> | null;
    makeRequestRegistry: Map<string, MakeRequest>;
    agent: ExtractDependencyType<typeof HTTP_CLIENT_AGENT> | null;
    querySerializer?: QuerySerializer | undefined;
    disableCircuitBreaker: ExtractDependencyType<typeof DISABLE_CIRCUIT_BREAKER> | null;
    defaultOptions: Partial<HttpClientFactoryOptions> | null;
    defaultInterceptors: HttpClientInterceptor[] | null;
    commandLineExecutionContext: ExtractDependencyType<typeof COMMAND_LINE_EXECUTION_CONTEXT_TOKEN> | null;
}) => ExtractTokenType<typeof HTTP_CLIENT_FACTORY>;
//# sourceMappingURL=httpClientFactory.d.ts.map