import prop from '@tinkoff/utils/object/prop';
import { ApiService } from '@tramvai/http-client';

class PapiService extends ApiService {
    constructor({ httpClientFactory, baseUrl }) {
        const httpClient = httpClientFactory({
            name: 'papi',
            baseUrl,
            validator: ({ response }) => {
                if (response.resultCode && response.payload) {
                    return;
                }
                return response.error || new Error(JSON.stringify(response));
            },
            modifyResponse(response) {
                return {
                    ...response,
                    payload: prop('payload', response.payload),
                };
            },
        });
        super(httpClient);
    }
}

export { PapiService };
