import { Module, provide, Scope, DI_TOKEN } from '@tramvai/core';
import { SERVER_MODULE_PAPI_PUBLIC_ROUTE } from '@tramvai/tokens-server';
import { PAPI_SERVICE } from '@tramvai/tokens-http-client';
import { PapiService } from './papi/papiService.es.js';
export { PapiService } from './papi/papiService.es.js';

const PapiClientModule = /* @__PURE__ */ Module({
    providers: [
        provide({
            provide: PAPI_SERVICE,
            scope: Scope.SINGLETON,
            useClass: PapiService,
            deps: {
                di: DI_TOKEN,
                papi: { token: SERVER_MODULE_PAPI_PUBLIC_ROUTE, optional: true },
            },
        }),
    ],
})(class PapiClientModule {
});

export { PapiClientModule };
