'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@tramvai/core');
var tokensServer = require('@tramvai/tokens-server');
var tokensHttpClient = require('@tramvai/tokens-http-client');
var papiService = require('./papi/papiService.js');

const PapiClientModule = /* @__PURE__ */ core.Module({
    providers: [
        core.provide({
            provide: tokensHttpClient.PAPI_SERVICE,
            scope: core.Scope.SINGLETON,
            useClass: papiService.PapiService,
            deps: {
                di: core.DI_TOKEN,
                papi: { token: tokensServer.SERVER_MODULE_PAPI_PUBLIC_ROUTE, optional: true },
            },
        }),
    ],
})(class PapiClientModule {
});

exports.PapiService = papiService.PapiService;
exports.PapiClientModule = PapiClientModule;
