import identity from '@tinkoff/utils/function/identity';
import flatten from '@tinkoff/utils/array/flatten';
import pick from '@tinkoff/utils/object/pick';

const fillHeaderIp = ({ requestManager, }) => {
    if (!requestManager) {
        return identity;
    }
    return (params) => {
        return {
            ...params,
            headers: {
                ...params.headers,
                'X-real-ip': requestManager.getClientIp(),
            },
        };
    };
};
const fillHeaders = ({ requestManager, headersList, }) => {
    if (!requestManager) {
        return identity;
    }
    const headerNames = flatten(headersList !== null && headersList !== void 0 ? headersList : []);
    return (params) => {
        return {
            ...params,
            headers: {
                ...params.headers,
                ...pick(headerNames, requestManager.getHeaders()),
            },
        };
    };
};

export { fillHeaderIp, fillHeaders };
