'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var identity = require('@tinkoff/utils/function/identity');
var flatten = require('@tinkoff/utils/array/flatten');
var pick = require('@tinkoff/utils/object/pick');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var identity__default = /*#__PURE__*/_interopDefaultLegacy(identity);
var flatten__default = /*#__PURE__*/_interopDefaultLegacy(flatten);
var pick__default = /*#__PURE__*/_interopDefaultLegacy(pick);

const fillHeaderIp = ({ requestManager, }) => {
    if (!requestManager) {
        return identity__default["default"];
    }
    return (params) => {
        return {
            ...params,
            headers: {
                ...params.headers,
                'X-real-ip': requestManager.getClientIp(),
            },
        };
    };
};
const fillHeaders = ({ requestManager, headersList, }) => {
    if (!requestManager) {
        return identity__default["default"];
    }
    const headerNames = flatten__default["default"](headersList !== null && headersList !== void 0 ? headersList : []);
    return (params) => {
        return {
            ...params,
            headers: {
                ...params.headers,
                ...pick__default["default"](headerNames, requestManager.getHeaders()),
            },
        };
    };
};

exports.fillHeaderIp = fillHeaderIp;
exports.fillHeaders = fillHeaders;
