/// <reference types="jest" />
import fetch from "node-fetch";
import { getDiWrapper } from "@tramvai/test-helpers";
import { createMockEnvManager } from "@tramvai/test-mocks";
type Options = Parameters<typeof getDiWrapper>[0] & {
    env?: Parameters<typeof createMockEnvManager>[0];
};
declare const testApi: (options: Options) => {
    di: import("@tinkoff/dippy").Container;
    fetchMock: jest.Mock<Promise<fetch.Response>, [
        url: fetch.RequestInfo,
        init?: fetch.RequestInit | undefined
    ], any>;
    mockJsonResponse: (body: Record<string, any>, init?: ResponseInit) => Promise<void>;
    clearCaches: () => void;
};
export { testApi };
//# sourceMappingURL=tests.d.ts.map